##
## This is part of CLFSja package.
##
BOOKdir = @abs_bookdir@/temp-system/common
CHANGE_FILES = \
	bash.ch         \
	binutils.ch     \
	bison.ch        \
	bzip2.ch        \
	check.ch        \
	choose.ch       \
	coreutils.ch    \
	diffutils.ch    \
	file.ch         \
	findutils.ch    \
	flex.ch         \
	gawk.ch         \
	gcc.ch          \
	gettext.ch      \
	gmp.ch          \
	grep.ch         \
	gzip.ch         \
	introduction.ch \
	isl.ch          \
	m4.ch           \
	make.ch         \
	mpc.ch          \
	mpfr.ch         \
	ncurses.ch      \
	patch.ch        \
	sed.ch          \
	tar.ch          \
	texinfo.ch      \
	util-linux.ch   \
	variables.ch    \
	vim.ch          \
	xz.ch           \
	zlib.ch

EXTRA_DIST = $(CHANGE_FILES)
srcdir = @srcdir@
srcs = $(CHANGE_FILES:.ch=.xml)

SUFFIXES = .ch .xml
.ch.xml:
	$(top_builddir)/$(CTIE) -m $@ $(BOOKdir)/$@ $(srcdir)/$*.ch >/dev/null

all: ctie $(srcs)

ctie:
	@$(MAKE) -C $(top_builddir)/$@ $@ >/dev/null

$(srcs): $(BOOKdir)/$@ $(srcdir)/$(@:.xml=.ch)
